<!DOCTYPE html>
<html ps-paginate="" ps-plugins="sc-scale-to-fit" ps-log-level="debug">
<head>
	<meta charset="utf-8">
	<title>sc-scale-to-fit-001</title>
	<script id="ps-options" type="application/json">
		{
			"plugins": [
				[
					"sc-scale-to-fit",
					{
						"allowExpandBeforeBreak": true
					}
				]
			]
		}
	</script>
	<style>
		@page {
			margin: 1cm;
			size: A5 landscape;
			--psp-sc-stf-min-blank-height: 0cm;
			background-color: lightblue;
			padding: 1cm;
		}

		body {
			background-color: white;
		}

		.container {
			padding: 1cm;
			background-color: lightcoral;
		}

		p {
			break-before: always;
		}

		.scale {
			background-color: green;
			border: solid 1cm black;
		}

		.shrink {
			width: 10cm;
			height: 10cm;
			--psp-sc-stf-max-shrink: 0.5;
		}

		.expand {
			width: 2.5cm;
			height: 2.5cm;
			--psp-sc-stf-max-expand: 2;
		}
	</style>
</head>
<body>
<p>The next image must be on the same page.</p>
<div class="container">
	<div class="scale shrink"></div>
</div>
<p>The next image must fill the page height.</p>
<div class="container">
	<div class="scale expand"></div>
</div>
</body>
</html>
</body>
</html>

